Subject: Re: completions - remove window after use?
From: David Reitter <[email-masked]>
To: [email-masked]
Date: Thu, 12 Nov 2009 08:31:52 -0500

> 
> > When showing a *completions* buffer in a new window opened for
> > it (TAB in find-file minibuffer for instance), I wonder why the
> > window doesn't get deleted when completion has finished.  For
> > instance, when an existing file is found, the *Completions*
> > buffer is buried, but I see a split frame with the original
> > buffer in the top window and _some other_ buffer in the lower
> > window.  Shouldn't the window for the completions buffer be
> > removed whenever it has been popped up just for the buffer?
> 

On Nov 12, 2009, at 3:19 AM, martin rudalics wrote:

> This should not happen and doesn't happen with my older builds.  Could
> you please (1) make sure that the behavior also happens with Emacs -Q,
> (2) try to find out when it appeared for the first time, and (3) make a
> corresponding bug report.

I reproduce this with a current build, with emacs -nw -Q.

When reverting to revision e78283bb (Tue Aug 18, just before minibuffer-hide-completions was introduced), the problem goes away and the *Completions* buffer continuous to be shown in the extra window.
I think it's now burying the buffer, but doesn't delete the window.

Again, the desired behavior would be to remove windows (or frames) that were created to display the *Completions* buffer rather than to leave them visible.